> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Current User

> Get the authenticated user's information, including subscription details



## OpenAPI

````yaml get /v1/user
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/user:
    get:
      tags:
        - user
      summary: ' Get Current User'
      description: Get the authenticated user's information, including subscription details
      operationId: _get_current_user_v1_user_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserAccount'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UserAccount:
      properties:
        data:
          $ref: '#/components/schemas/UserData'
        subscription:
          anyOf:
            - $ref: '#/components/schemas/StripeSubResponse'
            - $ref: '#/components/schemas/RevenuecatSubResponse'
            - type: 'null'
          title: Subscription
        quota:
          type: integer
          title: Quota
        intercom_hash:
          type: string
          title: Intercom Hash
      type: object
      required:
        - data
        - subscription
        - quota
      title: UserAccount
    UserData:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        username:
          type: string
          title: Username
        referral_code:
          type: string
          title: Referral Code
        bio:
          anyOf:
            - type: string
            - type: 'null'
          title: Bio
        photo:
          anyOf:
            - type: string
            - type: 'null'
          title: Photo
        kind:
          anyOf:
            - $ref: '#/components/schemas/UserKind'
            - type: 'null'
        prefs:
          $ref: '#/components/schemas/UserPrefs'
        pref_flags:
          type: integer
          title: Pref Flags
        feature_preview_flags:
          type: integer
          title: Feature Preview Flags
        pins:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Pins
        status:
          $ref: '#/components/schemas/Status'
        access_level:
          $ref: '#/components/schemas/AccessLevel'
        signup_when:
          type: string
          format: date-time
          title: Signup When
      type: object
      required:
        - id
        - email
        - first_name
        - last_name
        - username
        - referral_code
        - prefs
        - pref_flags
        - feature_preview_flags
        - pins
        - status
        - access_level
        - signup_when
      title: UserData
    StripeSubResponse:
      properties:
        type:
          $ref: '#/components/schemas/SubscriptionDuration'
        started_when:
          type: string
          format: date-time
          title: Started When
        expires_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires When
        will_renew:
          type: boolean
          title: Will Renew
        source:
          type: string
          const: stripe
          title: Source
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
      type: object
      required:
        - type
        - started_when
        - expires_when
        - will_renew
        - source
        - stripe_subscription_id
      title: StripeSubResponse
    RevenuecatSubResponse:
      properties:
        type:
          $ref: '#/components/schemas/SubscriptionDuration'
        started_when:
          type: string
          format: date-time
          title: Started When
        expires_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires When
        will_renew:
          type: boolean
          title: Will Renew
        source:
          type: string
          const: revenuecat
          title: Source
        revenuecat_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Revenuecat Subscription Id
        method:
          $ref: '#/components/schemas/RevenuecatSubMethod'
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
      type: object
      required:
        - type
        - started_when
        - expires_when
        - will_renew
        - source
        - revenuecat_subscription_id
        - method
        - price
        - currency
      title: RevenuecatSubResponse
    UserKind:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: UserKind
    UserPrefs:
      properties:
        indent_type:
          $ref: '#/components/schemas/IndentType'
        default_sort_type:
          $ref: '#/components/schemas/SortType'
        appearance_mode:
          $ref: '#/components/schemas/AppearanceMode'
        day_theme:
          $ref: '#/components/schemas/AppearanceTheme'
        night_theme:
          $ref: '#/components/schemas/AppearanceTheme'
        couple_key:
          anyOf:
            - type: string
              maxLength: 4
            - type: 'null'
          title: Couple Key
        persona:
          anyOf:
            - $ref: '#/components/schemas/UserPersona'
            - type: 'null'
        haptic_threshold:
          anyOf:
            - $ref: '#/components/schemas/HapticThreshold'
            - type: 'null'
        daily_append_format:
          anyOf:
            - $ref: '#/components/schemas/DailyAppendFormat'
            - type: 'null'
      type: object
      required:
        - indent_type
        - default_sort_type
        - appearance_mode
        - day_theme
        - night_theme
        - couple_key
      title: UserPrefs
    Status:
      enum:
        - -2
        - -1
        - 0
        - 1
        - 2
      title: Status
      type: integer
    AccessLevel:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
      title: AccessLevel
    SubscriptionDuration:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: SubscriptionDuration
    RevenuecatSubMethod:
      type: string
      enum:
        - APP_STORE
        - PLAY_STORE
      title: RevenuecatSubMethod
    IndentType:
      type: integer
      enum:
        - 0
        - 1
        - 2
      title: IndentType
    SortType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: SortType
      type: integer
    AppearanceMode:
      type: integer
      enum:
        - 1
        - 2
        - 3
      title: AppearanceMode
    AppearanceTheme:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: AppearanceTheme
    UserPersona:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: UserPersona
    HapticThreshold:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
      title: HapticThreshold
    DailyAppendFormat:
      type: string
      enum:
        - plain
        - bullet
        - todo
      title: DailyAppendFormat
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````